> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create registry

> Create a new container registry with the specified configuration.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml post /cloud/v1/registries/{project_id}/{region_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/registries/{project_id}/{region_id}:
    post:
      tags:
        - Registry
      summary: Create registry
      description: Create a new container registry with the specified configuration.
      operationId: RegistriesHandler.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegistryCreateSerializer'
      responses:
        '201':
          description: Created registry details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistrySerializer'
        '400':
          description: Invalid request parameters
        '409':
          description: Registry already exists
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            registry = client.cloud.registries.create(
                project_id=0,
                region_id=0,
                name="reg-home1",
            )
            print(registry.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tregistry, err := client.Cloud.Registries.New(context.TODO(), cloud.RegistryNewParams{\n\t\tProjectID: gcore.Int(0),\n\t\tRegionID:  gcore.Int(0),\n\t\tName:      \"reg-home1\",\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", registry.ID)\n}\n"
components:
  schemas:
    RegistryCreateSerializer:
      properties:
        name:
          description: |-
            A name for the container registry. 

            Should be in lowercase, consisting only of numbers, letters and -, 

            with maximum length of 24 characters
          example: reg-home1
          examples:
            - reg-home1
          pattern: ^[a-z][-a-z0-9]{0,22}[a-z0-9]$
          title: Name
          type: string
        storage_limit:
          default: 5
          description: Registry storage limit, GiB
          example: 5
          examples:
            - 5
          maximum: 1000
          minimum: 1
          title: Storage Limit
          type: integer
      required:
        - name
      title: RegistryCreateSerializer
      type: object
    RegistrySerializer:
      properties:
        created_at:
          description: Registry creation date-time
          example: '2024-06-18T09:36:53.335000Z'
          examples:
            - '2024-06-18T09:36:53.335000Z'
          format: date-time
          title: Created At
          type: string
        id:
          description: Registry ID
          example: 1
          examples:
            - 1
          title: Id
          type: integer
        name:
          description: Registry name
          example: company-name
          examples:
            - company-name
          title: Name
          type: string
        repo_count:
          description: Number of repositories in the registry
          example: 1
          examples:
            - 1
          title: Repo Count
          type: integer
        storage_limit:
          description: Registry storage limit, GiB
          example: 5
          examples:
            - 5
          title: Storage Limit
          type: integer
        storage_used:
          description: Registry storage used, bytes
          example: 1000000000
          examples:
            - 1000000000
          title: Storage Used
          type: integer
        updated_at:
          description: Registry modification date-time
          example: '2024-06-18T09:36:53.335000Z'
          examples:
            - '2024-06-18T09:36:53.335000Z'
          format: date-time
          title: Updated At
          type: string
        url:
          description: Registry url
          title: Url
          type: string
      required:
        - id
        - name
        - storage_limit
        - storage_used
        - url
        - created_at
        - updated_at
        - repo_count
      title: RegistrySerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````